#ifndef _SHINS_UTIL_
#define _SHINS_UTIL_

#include <IceUtil/Mutex.h>
#include <IceUtil/Handle.h>

#include "IndiClient.h"
#include "listenerThread.h"
#include "sequencerI.h"

namespace shins
{
  // typedef using IceUtil Handles
  typedef IceUtil::Handle<listenerThread> ptrListener;
  typedef IceUtil::Handle<IceUtil::Mutex> PtrMutex;
  #ifndef _SEQUENCER_I_
  typedef IceUtil::Handle<SequencerI> SequencerIPtr;
  #endif
  typedef std::vector<pcf::IndiProperty>::iterator itIndiProp_t;
  typedef std::vector<IndiClient>::iterator itIndiClient_t;
  typedef std::vector<std::string>::iterator itString_t
}
#endif // _SHINS_UTIL_
